cascading.provider

## Interface CascadingFactory<Config,Instance>

All Known Subinterfaces:
  TupleCollectionFactory<Config>, TupleMapFactory<Config>

All Known Implementing Classes:
  BaseCacheFactory, DirectMappedCacheFactory, LRUHashMapCacheFactory, OrderedHashMapCacheFactory

    public interface CascadingFactory<Config,Instance>

Interface CascadingFactory defines a pluggable "factory" class that can be loaded by the `FactoryLoader` utility.

Factory instances are created process side (in a cluster for example) to augment any of the internal strategies.

See Also:
  `FactoryLoader`

### Method Summary

Methods
`Instance` `create(FlowProcess<? extends Config> flowProcess)` Method create will return a new instance of the type create by this factory.
`void` `initialize(FlowProcess<? extends Config> flowProcess)` Method initialize will configure an initialize this factory instance.

### Method Detail

#### initialize

    void initialize(FlowProcess<? extends Config> flowProcess)

Method initialize will configure an initialize this factory instance.

Parameters:
  `flowProcess` - of type FlowProcess

#### create

    Instance create(FlowProcess<? extends Config> flowProcess)

Method create will return a new instance of the type create by this factory.

Parameters:
  `flowProcess` - of type FlowProcess
Returns:
  of type Instance